Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.lib.sql
Interface ConnectionPool

All Known Implementing Classes:
  DefaultConnectionPool

public interface ConnectionPool

An interface used to build wrapper classes around existing Connection Pool libraries. Title: ConnectionPool

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  1.0
Author:
  John Gentilin

Method Summary
`void` | `freeUnused()` Start downsizeing the pool, this usally happens right after the pool has been marked as Inactive and we are removing connections that are not currently inuse.
`java.sql.Connection` | `getConnection()` Retrive a database connection from the pool
`boolean` | `hasActiveConnections()` Provide an indicator to the PoolManager when the Pool can be removed from the Pool Table.
`boolean` | `isEnabled()` Determine if a Connection Pool has been disabled.
`void` | `releaseConnection(java.sql.Connection con)` Return a connection to the pool, the connection may be closed if the pool is inactive or has exceeded the max number of free connections
`void` | `releaseConnectionOnError(java.sql.Connection con)` Provide a mechinism to return a connection to the pool on Error.
`void` | `setDriver(java.lang.String d)` The Driver and URL are the only required parmeters.
`void` | `setMinConnections(int n)` Set tne minimum number of connections that are to be maintained in the pool.
`void` | `setPassword(java.lang.String p)` The rest of the protocol parameters can eiter be passed in as just Username and Password or as a property collection.
`void` | `setPoolEnabled(boolean flag)` The Pool can be Enabled and Disabled.
`void` | `setProtocol(java.util.Properties p)` Used to pass in extra configuration options during the database connect phase.
`void` | `setURL(java.lang.String url)`
`void` | `setUser(java.lang.String u)`
`boolean` | `testConnection()` Test to see if the connection info is valid to make a real connection to the database.

Method Detail

### isEnabled

    public boolean isEnabled()

  Determine if a Connection Pool has been disabled. If a Connection pool is disabled, then it will only manage connections that are in use.

### setDriver

    public void setDriver(java.lang.String d)

  The Driver and URL are the only required parmeters.

  Parameters:
    `d` -

### setURL

    public void setURL(java.lang.String url)

  Parameters:
    `url` -

### freeUnused

    public void freeUnused()

  Start downsizeing the pool, this usally happens right after the pool has been marked as Inactive and we are removing connections that are not currently inuse.

### hasActiveConnections

    public boolean hasActiveConnections()

  Provide an indicator to the PoolManager when the Pool can be removed from the Pool Table.

### setPassword

    public void setPassword(java.lang.String p)

  The rest of the protocol parameters can eiter be passed in as just Username and Password or as a property collection. If the property collection is used, then the sperate username and password may be ignored, it is up to the wrapper implementation to handle the situation. If the connection information changes while after the pool has been established, the wrapper implementation should ignore the change and throw an error.

  Parameters:
    `p` -

### setUser

    public void setUser(java.lang.String u)

  Parameters:
    `u` -

### setMinConnections

    public void setMinConnections(int n)

  Set tne minimum number of connections that are to be maintained in the pool.

  Parameters:
    `n` -

### testConnection

    public boolean testConnection()

  Test to see if the connection info is valid to make a real connection to the database. This method may cause the pool to be crated and filled with min connections.

### getConnection

    public java.sql.Connection getConnection()
                                      throws java.sql.SQLException

  Retrive a database connection from the pool

  Throws:
    java.sql.SQLException -

### releaseConnection

    public void releaseConnection(java.sql.Connection con)
                           throws java.sql.SQLException

  Return a connection to the pool, the connection may be closed if the pool is inactive or has exceeded the max number of free connections

  Parameters:
    `con` -
  Throws:
    java.sql.SQLException -

### releaseConnectionOnError

    public void releaseConnectionOnError(java.sql.Connection con)
                                  throws java.sql.SQLException

  Provide a mechinism to return a connection to the pool on Error. A good default behaviour is to close this connection and build a new one to replace it. Some JDBC impl's won't allow you to reuse a connection after an error occurs.

  Parameters:
    `con` -
  Throws:
    java.sql.SQLException -

### setPoolEnabled

    public void setPoolEnabled(boolean flag)

  The Pool can be Enabled and Disabled. Disabling the pool closes all the outstanding Unused connections and any new connections will be closed upon release.

  Parameters:
    `flag` - Control the Connection Pool. If it is enabled then Connections will actuall be held around. If disabled then all unused connections will be instantly closed and as connections are released they are closed and removed from the pool.

### setProtocol

    public void setProtocol(java.util.Properties p)

  Used to pass in extra configuration options during the database connect phase.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference